# 物理连通性约束说明

## 约束目的
**禁止在物理上不可能连通的位置新增链路**，确保网络拓扑优化的合理性。

## 矩阵定义

1. **最大功率连通矩阵** $A_{\max}$:
   - 表示节点在最大发射功率下的连通性
   - 非零元素：$A_{\max,ij} \neq 0$ 表示可连通
   - 零元素：$A_{\max,ij} = 0$ 表示即使满功率也无法连通

2. **互补矩阵** $A'_{\max}$:
   $$
   A'_{\max,ij} = 
   \begin{cases}
     0, & A_{\max,ij} \neq 0 \\
     1, & A_{\max,ij} = 0
   \end{cases}
   $$
   - 在物理不可连通位置为1，其他位置为0

## 约束条件
$$
A \odot A'_{\max} = 0
$$

**解释**：
- $\odot$ 表示Hadamard积（逐元素相乘）
- 约束强制要求：对于所有满足 $A'_{\max,ij}=1$ 的位置（即物理不可连通的节点对），必须有 $A_{ij}=0$

## 实际效果

1. **可调连接**：
   - 原本能连通的节点对（$A_{\max,ij} \neq 0$）可以根据优化目标自由调整

2. **固定断开**：
   - 物理上无法连通的节点对（$A_{\max,ij} = 0$）始终保持断开（$A_{ij} = 0$）

## 应用意义
- 保证网络拓扑优化不违反物理层连接限制
- 避免算法建议不切实际的通信链路
- 维持网络部署的可行性
